blob_id
stringlengths
40
40
language
stringclasses
1 value
repo_name
stringlengths
4
115
path
stringlengths
2
970
src_encoding
stringclasses
28 values
length_bytes
int64
31
5.38M
score
float64
2.52
5.28
int_score
int64
3
5
detected_licenses
listlengths
0
161
license_type
stringclasses
2 values
text
stringlengths
31
5.39M
download_success
bool
1 class
b1b511115105bc64367d4fc2925a994cfaf78ff0
Shell
navarrothiago/explorer-charts
/common.sh
UTF-8
3,739
3.5625
4
[]
no_license
#!/usr/bin/env bash CURRENT_CONTEXT_NAME="$(kubectl config current-context view)" PLATFORM="self-managed" autoDetectEnvironment(){ if [[ -z "$CURRENT_CONTEXT_NAME" ]]; then echo "no configuration has been provided" return fi echo "Autodetecting environment" if [[ $CURRENT_CONTEXT_NAME =~ ^minikube.* ]]; then...
true
4b79f04af7f2b44ba6aabd9471380a1ca7e9e30b
Shell
fengchen8086/ditb
/scripts/scripts/parse-hybrid-results.sh
UTF-8
1,429
3.375
3
[ "Apache-2.0" ]
permissive
#!/bin/bash if [ $# -ne 2 ]; then echo "need time as prefix" exit fi now=$1 run_type=$2 output_dir=`pwd`/../output res_file=${output_dir}/res-${run_type}-${now} echo "" > ${res_file} for dir in `ls ${output_dir} | grep ${now}`; do log_dir=${output_dir}/${dir} if [ -d "${log_dir}" ]; then index_type=`echo ${di...
true
be2620e664a47ca9759e251f46d215841af3feb8
Shell
isabella232/tim-1
/scripts/update
UTF-8
185
3.28125
3
[ "MIT" ]
permissive
#!/bin/bash TIM_HOME=~/.tim function print_message() { echo -e "\n$(tput setaf 2)> ${1}$(tput sgr0)" } cd $TIM_HOME print_message "Updating tim..." git pull --rebase bundle install
true
e7ea1c2d32c506e318f12192eba673cde2a5c663
Shell
yanghong/depth_inpainting_hy
/example/batch.sh
UTF-8
990
2.765625
3
[]
no_license
A=/home/xuehongyang/inpainting/MiddEval3/MiddInpaint B=$1 C=/home/xuehongyang/inpainting/LRL0_result Lambda=(30 40 50 60 70 80 90 100 110 120 130 140 150 160 170 180 190 200) K=(3 5) max=30 for var in ${B[@]}; do DISPPATH=$A/${var}/disp.png MISS=50 MASK=$A/${var}/mask_${MISS}.png echo 'inpainting ...
true
ef96b538ac633852749e379ac97939b66348fd2c
Shell
jklhj222/bin
/add_newline.sh
UTF-8
120
2.6875
3
[]
no_license
#!/bin/bash for i in `ls -d ./data_*` do for j in `ls "$i"/labels/` do echo "" >> "$i"/labels/"$j" done done
true
bd69551c6db021f7f4d9a87e43c43aa5c5520b5c
Shell
kohendrix/bash-setup-util
/scripts/c-run.sh
UTF-8
731
3.9375
4
[]
no_license
#!/bin/bash # a runing output file helper set -e # help if [[ $1 = "-h" || $1 = "--help" ]] then echo "Usage: run.sh <project directory> <option>[-c|-clean]" echo "There must be main.cpp on the root of the project directory." exit 0 fi # main PROJECT_NAME=$1 # clean build option if [[ $2 = "-c" || $2 = "--cl...
true
c4bfff037bac8d2adb3f2292739a9294501e63c4
Shell
bockjoo/cvmfs-cms-install-scripts
/download.ascii.db.sh
UTF-8
722
3.3125
3
[]
no_license
#!/bin/sh MINUTE=$(date +%M) host=cms.rc.ufl.edu port=8443 weborigin=http://${host}:${port}/cmssoft/cvmfs workdir=$HOME/services/external/apache2/htdocs/cmssoft workdir=$HOME if [ $# -gt 0 ] ; then workdir=$1 fi files="lhapdf_list.txt list_requested_arch_cmssws_cvmfs.txt cron_install_cmssw.config" i=0 for f in $file...
true
b594c50d7d25db43dd2517cdb525292f3ddcb738
Shell
percona-csalguero/dbdeployer
/cookbook/operations-restart.sh
UTF-8
2,076
3.3125
3
[ "Apache-2.0" ]
permissive
#!/bin/bash # DBDeployer - The MySQL Sandbox # Copyright © 2006-2018 Giuseppe Maxia # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unle...
true
9eab1c4aa7d9dda4a2200b5183149ea500b57966
Shell
Infovys/antivirus-python-cli
/avet/build/build_win32_meterpreter_rev_https_shikata_raw_loadfile.sh
UTF-8
798
2.734375
3
[]
no_license
#!/bin/bash # build the .exe file that loads the payload from a given text file # include script containing the compiler var $win32_compiler # you can edit the compiler in build/global_win32.sh # or enter $win32_compiler="mycompiler" here . build/global_win32.sh # make meterpreter reverse payload, encoded wit...
true
73a4be9bc7e88efc8ebe6ef4c9d17a075966700b
Shell
antonpolishko/befair
/images/postgresql/testdata/scripts/issues/2454/rollback.sh
UTF-8
943
2.953125
3
[ "CC-BY-SA-3.0", "LicenseRef-scancode-warranty-disclaimer", "LicenseRef-scancode-proprietary-license", "LicenseRef-scancode-other-copyleft", "LicenseRef-scancode-unknown-license-reference", "CC-BY-3.0", "MIT" ]
permissive
#!/bin/bash ENDPOINT=http://localhost:8080/api DB="psql dvndb -At -c " ROOT_USER=dataverseAdmin ROOT_KEY=$($DB "select tokenstring \ from authenticateduser au inner join apitoken apt \ on au.id=apt.authenticateduser_id \ where useridentifier='$ROOT_USER'") echo $ROOT_USER api key is $ROOT_KEY ...
true
78ab7b7a120b7a9df65c2394bf858506feed5455
Shell
fuhuasheng/ec2ubuntu
/user-data-scripts/install-mediawiki
UTF-8
1,232
3.71875
4
[ "Apache-2.0" ]
permissive
#!/bin/bash # # install-mediawiki # # See also: # https://help.ubuntu.com/community/MediaWiki set -e set -x # Skip prompt for the MySQL root password export DEBIAN_FRONTEND=noninteractive # Install packages. sudo -E apt-get install -y mediawiki imagemagick mediawiki-math mysql-server sudo perl -pi.bak -e 's%^#(Do...
true
061e4c286a28faf689b119f030fc437467d09fc8
Shell
QuangNguyenTheChick/Shell-scripts
/Shell.sh
UTF-8
9,573
3.78125
4
[]
no_license
#!/bin/sh echo "Would you like to install auto-configuration shell scripts ??" read i while true do case "$i" in [Yy]*) echo "---------- Which shell do you want to run ?? ----------" echo "1: Install and update yum store Shell" echo "2: Network Interface Configuration(NIC) Automate Shell" ...
true
fc920b4ee3ce4b200ae86bd75dd0ac026904ed38
Shell
zivAnyvision/gpu-operator-old
/deployments/gpu-operator/install.sh
UTF-8
1,405
3.28125
3
[ "Apache-2.0" ]
permissive
#!/bin/bash set -ex CHARTMUSEUM_SERVER_URL=${CHARTMUSEUM_SERVER_URL:-"http://chartmuseum.infra.svc:8080"} RANCHER_SERVER_URL=${RANCHER_SERVER_URL:-"https://rancher.cattle-system.svc.cluster.local"} REGISTRY_URL=${localRegistry:-"leader.telekube.local:5000/"} APITOKEN=$(jq -r .Servers.rancherDefault.tokenKey < /etc/ran...
true
add1862735a79f3b8d96329649af53f27bf0d487
Shell
rfminelli/patrickbrandao_docker
/nuva-observium/rootfs/opt/entrypoints/71-php7.sh
UTF-8
772
2.75
3
[]
no_license
#!/bin/sh # Configurar PHP7 FPM mkdir -p /run/php7 mkdir -p /var/log/php7 touch /var/log/php7/www.log touch /var/log/php7/fpm.log touch /var/log/php7/fpm.err # Servico no supervisor mkdir -p /etc/supervisor/conf.d ( echo '[program:php-fpm7]' echo 'command=/usr/sbin/php-fpm7 -F' echo '...
true
30e9a371d55720597036899305526c8412ac880a
Shell
t0r0X/BashSupport
/testData/errorFiles/449-eval-var.bash
UTF-8
70
2.59375
3
[ "Apache-2.0", "LicenseRef-scancode-free-unknown" ]
permissive
#!/usr/bin/env bash set_var() { eval "export $(echo -n $1)=x$1" }
true
3d6531c262d337de8adc542f5da7a6969899bdb3
Shell
quorten/pystatlin
/build-scripts/python2.sh
UTF-8
2,810
3.265625
3
[ "Unlicense", "LicenseRef-scancode-public-domain" ]
permissive
# Now time for the big deal... Python. # REMEMBER to build that dummy Python 2 I've mentioned above. # NOTE that we have to use `UHTGPREFIX' instead of `HTGPREFIX' here # because otherwise we sometimes get runtime issues with Python not # being able to find its installed root. cd $COMPILE_DIR xz -dc $S/Python-2.7.12...
true
8ea316f10d3bcb7e572347990d061a3742503b2b
Shell
tokenanalyst/website
/scripts/deploy-project.sh
UTF-8
788
2.6875
3
[]
no_license
#!/bin/bash export SENTRY_ORG=tokenanalyst-3c export SENTRY_PROJECT=ta-website export SENTRY_RELEASE=$(sentry-cli releases propose-version) export IS_SOURCE_MAP='true' echo "-> Bulding bundle" rm -rf .next/ npm run build echo "-> Creating Sentry release $SENTRY_RELEASE" sentry-cli releases new $SENTRY_RELEASE sentry-...
true
9ce9640a5aa7ddc61e9bbf90292b3115f88177a0
Shell
varCharlie/check_git_repo
/check_git_repos
UTF-8
1,013
4.03125
4
[]
no_license
#!/usr/bin/env bash set +x usage() { cat >&2 <<-EOF Usage: $0 --repo REPO --dir DIR Required Arguments: -r --repo Repository to search for -d --dir Base directory for search EOF exit ${1:-0} } if [ $# -eq 0 ]; then usage 1 fi declare behind="" while [ ${#} -gt 0 ]; do case ${1} in -r|--...
true
dc9f5384a4c1b61e7ecb51b930caabf7f864210b
Shell
jeffvance/glusterfs-hadoop-install
/prep_node.sh
UTF-8
13,241
3.78125
4
[]
no_license
#!/bin/bash # # Copyright (c) 2013 Red Hat, Inc. # License: Apache License v2.0 # Author: Jeff Vance <jvance@redhat.com> # # THIS SCRIPT IS NOT MEANT TO BE RUN STAND-ALONE. # # This script is a companion script to install.sh and runs on a remote node. It # prepares the hosting node for hadoop workloads ontop of gluster...
true
035f3b500fbab19f8ae20bab6d791c4f9f13f60e
Shell
htcondor/htcondor
/build/docker/services/base/container-install-htcondor.sh
UTF-8
5,783
3.921875
4
[ "Apache-2.0" ]
permissive
#!/bin/bash set -eu PS4='+ ${LINENO}: ' # Options # TODO Should these be specified in the Dockerfile instead? update_os=false extra_packages_centos=(openssh-clients openssh-server supervisor) extra_packages_ubuntu=(ssh supervisor) repo_base_ubuntu=https://research.cs.wisc.edu/htcondor/repo/ubuntu repo_base_centos=http...
true
28b725518c43d98755cc8ea503522256d78801bd
Shell
mgaulton/docker_qbittorrent-nox
/setup-volume.sh
UTF-8
310
2.8125
3
[ "MIT" ]
permissive
#!/bin/sh if ! [ -f "/config/qBittorrent.conf" ]; then cp /qBittorrent.conf /config/qBittorrent.conf fi if ! [ -f "/config/ipfilter.p2p" ]; then cp /ipfilter.p2p /config/ipfilter.p2p fi if [ -z "${ENTRYPOINT_RUN_AS_ROOT:-}" ]; then chown -R $DOCKER_USER:$DOCKER_GROUP /config /data /torrents fi
true
117de7b5f128a5d9b951af8cae038a7e2dd2888f
Shell
KuKuRammus/dotfiles
/bashrc/bashrc.sh
UTF-8
832
2.609375
3
[]
no_license
######################################################### # Aliases ## Invoke nvim using `vim` and `vi` commands alias vim="nvim" alias vi="nvim" ########################################################### ########################################################### # Exports ## Scan local.bin direcory for executabl...
true
022bf599f5c1d6dc87adb89577e2d82041aa30c1
Shell
19tclewis91/healthcare-data-protection-suite
/build/go_check.sh
UTF-8
1,203
3.328125
3
[ "Apache-2.0" ]
permissive
# Copyright 2020 Google LLC # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # https://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law or agreed to in writing, ...
true
00e3acd184d35e9a8576f3c6f46d20577578efd5
Shell
joshleejosh/jltwbots
/setup.sh
UTF-8
377
3.109375
3
[]
no_license
#!/bin/bash THEDIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" cd ${THEDIR} VDIR="botenv" if [ ! -d "${VDIR}" ]; then virtualenv ${VDIR} fi # Install libraries ${VDIR}/bin/pip install -r requirements.pip # Download corpora for nltk # TODO: figure out which ones we actually need and just download those #${V...
true
d2cf58967d84bc13ea459b2ef943ad4733f9a829
Shell
ahosha/rsyncservice
/ci/gitlab-ci-precheck.sh
UTF-8
617
3.203125
3
[]
no_license
#!/usr/bin/env bash # This script ensures that the correct CI variables are set for the build. RC=0 if [ -z "$ORG_GRADLE_PROJECT_artifactory_contextUrl" ] ; then echo "ERROR: Require ORG_GRADLE_PROJECT_artifactory_contextUrl ci variable set" let RC+=1 fi if [ -z "$ORG_GRADLE_PROJECT_artifactory_password" ] ; ...
true
8ee2ae24d8f100b2c6d77831561d131d42d99d22
Shell
bobwolff68/gocastmain
/projects/desktop/gocastplayer/deploy_plugin_linux.sh
UTF-8
971
3.21875
3
[]
no_license
#!/bin/bash cd build mkdir -p GoCastPlayer cp bin/GCP/npGCP.so GoCastPlayer/npGCP_`uname -m`.so cp ../README_linux GoCastPlayer/README_linux # create install.sh echo "Generating GoCastPlayer/install.sh" echo "#!/bin/bash" > GoCastPlayer/install.sh echo "" >> GoCastPlayer/install.sh echo "echo \"GoCastPlayer Install:...
true
79aae102e6ce4b340de65690e6e536e5eea3c862
Shell
anuragreddygv323/raster-vision
/src/detection/scripts/train_ec2.sh
UTF-8
2,625
3.59375
4
[ "Apache-2.0" ]
permissive
#!/bin/bash # This trains a model on a dataset on EC2. # Parse args LOCAL=false while :; do case $1 in --config-path) CONFIG_PATH=$2 ;; --train-id) TRAIN_ID=$2 ;; --dataset-id) DATASET_ID=$2 ;; --model-id) ...
true
7e797d52df69e8bf5aea0ac6ef0330ad701789fb
Shell
gbsf/archlinux-packages
/hicolor-icon-theme/repos/extra-i686/PKGBUILD
UTF-8
516
2.609375
3
[]
no_license
# $Id$ # Maintainer: arjan <arjan@archlinux.org> # Contributer: Jan De Groot <jan@jgc.homeip.net> pkgname=hicolor-icon-theme pkgver=0.10 pkgrel=1 pkgdesc="Freedesktop.org Hicolor icon theme" arch=(i686 x86_64) depends=() url="http://icon-theme.freedesktop.org/wiki/HicolorTheme" source=(http://icon-theme.freedesktop.org...
true
e51fe62d9c18bce2a6081cf989a2ce8c138d5f64
Shell
utkdigitalinitiatives/TRACE
/scripts/custom_scripts/871_ingest_sample_articles.sh
UTF-8
1,304
2.96875
3
[]
no_license
#!/usr/bin/env bash # cURL Repo cd "$HOME_DIR" || exit if [ ! -d "$HOME_DIR"/sample_articles ]; then echo "cURLing Sample Article Data" mkdir sample_articles || exit chown -hR vagrant:vagrant sample_articles cd sample_articles || exit curl -s -O http://dlwork.lib.utk.edu/trace_sample_data/trace_sample_articl...
true
3150d410cf8a4ce5d1dc014cf88c336c2f43a05c
Shell
IMAGINARY/lalalab-scripts
/bin/repeat-exhibit
UTF-8
615
3.921875
4
[ "Apache-2.0" ]
permissive
#!/bin/bash # This script is supposed to run "$@" in a loop. # When the script is terminated from outside, the loop must # end as well as the process running inside the loop # Repeatedly start the command given as argument while true; do # Start argument in background "$@" & PID=$! # Set up trap handler to kill b...
true
80bcb29c7b2fb2d9d8d8a2030cc9150701093239
Shell
callyberz/stock-api
/app/entrypoint.sh
UTF-8
182
2.75
3
[]
no_license
#!/bin/bash set -e if [ "$1" = 'start' ]; then if [ $MODE = "production" ]; then npm run build --release node ./build/server.js else npm run develop fi fi exec "$@"
true
4279023a9bef5c1d8e22d14e304b993da0db00a7
Shell
ucyo/earthio
/build_earthio_env.sh
UTF-8
2,080
3.265625
3
[]
no_license
source deactivate; export EARTHIO_BUILD_DIR=`pwd -P` if [ "$EARTHIO_CHANNEL_STR" = "" ];then export EARTHIO_CHANNEL_STR=" -c ioam -c conda-forge -c scitools/label/dev "; fi if [ "$EARTHIO_TEST_ENV" = "" ];then export EARTHIO_TEST_ENV=earth-env-test; fi build_earthio_env(){ if [ "$PYTHON_TEST_VERSION" = "" ]...
true
4752a33655b259eac043a0f2b5a44a8b918dbb32
Shell
nmusatti/nxpy
/test/backup/maven/patch/trunk/src/main/scripts/installa.sh
UTF-8
594
2.8125
3
[ "BSL-1.0" ]
permissive
DEST="/QIBM/UserData/WebSphere/AppServer/V7/Express/profiles/OWFINANCE/installedApps/OWFSYS_OWFINANCE/OPMCsi.ear/OwfWs.war/WEB-INF/lib" for file in * do if [ $file != ${0##*/} ] then pre=${file%-*.*.*.*} if [ -e "$DEST"/$file -a ${file%-*.*.*SNAPSHOT*.*} != $pre ] then echo ...
true
126a054bd008bb1a1b3b0cbb7fb63daed9374ba6
Shell
ethanglaser/ECE364
/Prelab08/getProjectsByStudent.sh
UTF-8
216
2.71875
3
[]
no_license
#! /bin/bash ID=$(egrep "$1" maps/students.dat | tail -c 12) circs=$(egrep $ID -lr circuits | grep -o "[0-9]\{2\}[-][0-9][-][0-9]\{2\}") egrep -f $circs maps/projects.dat | grep -o "[0-9A-Z-]\{36\}" | sort -u exit 0
true
c407be843b3d103cb1242a44a8a31b3420fb26d3
Shell
clairec03/gpi-labs
/collab/driver/driver
UTF-8
3,831
3.734375
4
[]
no_license
#!/usr/bin/env bash # cd into folder where the driver is located, or quit (defensive) # http://stackoverflow.com/questions/3349105 cd "${0%/*}" || exit 1 echo "In: $(pwd)" echo indent4() { sed -e 's/^/ /' } indent8() { sed -e 's/^/ /' } list_dir() { if which tree &> /dev/null; then pushd "$@" &> ...
true
47f71e98016f37b81d18756a30433bbbe8f2a06a
Shell
BackupTheBerlios/packware
/pwbuilder/pwbuilder.pwbuild
UTF-8
931
2.75
3
[]
no_license
#!/bin/sh name="pwbuilder" version="0.6.4-pre5" build="1" fakeroot="1.0.5" pwutils="0.6" _pwbuilder 0.6.3 _doc -d -r fakeroot-${fakeroot} README.fake doc/README.saving -x NEWS -x README _source -t fakeroot-${fakeroot} -m 2c779a33b10447a9f0371ce9105a3467 -s 1192122 ftp://ftp.berlios.de/pub/packware/sources/fakeroot...
true
88fc31969a8e2de97520ec380e9bce5d7d058f76
Shell
megalithic/dotfiles
/config/zsh/lib/colors.zsh
UTF-8
1,398
2.921875
3
[]
no_license
# Initialize colors. autoload -U colors; colors # colors # The variables are wrapped in %{%}. This should be the case for every # variable that does not contain space. for COLOR in RED GREEN YELLOW BLUE MAGENTA CYAN BLACK WHITE; do eval PR_$COLOR='%{$fg_no_bold[${(L)COLOR}]%}' eval PR_BOLD_$COLOR='%{$fg_bold[${(L)...
true
6ab4da070bf62f67ec27d6695b472cb0f46320a0
Shell
mmx77/A53
/control.sh
UTF-8
3,385
3.46875
3
[]
no_license
#!/bin/bash cd ~/LABO/A53 # GLOBAL VARIABLES ---------------- source ./config.control # LOCAL VARIABLES LOW_TEMP_COUNTER=0 # FUNCTIONS ----------------------- function read_instant_cpu_temp { local TEMP=$(sudo cat /sys/devices/virtual/thermal/thermal_zone0/temp) if (( $TEMP > 1000 )); then echo "$(($TEMP/1000)...
true
be8e1f855ef271c77f548a051a86acc1bc491737
Shell
chinglinwen/k8s
/example-apps/fs-deployment/fs-pic.sh
UTF-8
226
2.890625
3
[]
no_license
#!/bin/sh pods="$( kubectl get pods -n qb-pro -o wide|grep fs )" echo "$pods" | while read l; do ((i++)) name="$( echo $l | awk '{ print $1 }' )" kubectl -n qb-pro cp desert.jpg $name:/data/ echo "$i $name done" done
true
f7141ea67e2c76c8b52a1663439b3c50fe4f86b2
Shell
frcmi/Robot2019
/jetson/home/bin/capture-frame-logitech
UTF-8
507
3.484375
3
[ "MIT" ]
permissive
#!/bin/bash set -e OFILE="$1" usage() { echo 'capture-frame-logitech -- capture a single video frame from logitech cam (normalized to 1920x1080) as JPEG' echo >&2 echo " Usage is:" >&2 echo >&2 echo " capture-frame-logitech <output-file>" exit 1 } if [ -z "$OFILE" ]; then usage fi gst-launch-1.0 ...
true
966f22da4a2aa88c8453aecc56a08a07355d0738
Shell
songroger/mars
/.github/workflows/build-wheels.sh
UTF-8
436
3.03125
3
[ "BSD-3-Clause", "OFL-1.1", "LicenseRef-scancode-unknown-license-reference", "CC0-1.0", "Apache-2.0", "BSD-2-Clause", "MIT" ]
permissive
#!/bin/bash set -e -x # Install a system package required by our library yum install -y atlas-devel # Install requirements PYBIN=/opt/python/${PYABI}/bin REQ_FILE=/io/requirements-wheel.txt "${PYBIN}/pip" install -r $REQ_FILE # Compile wheels cd /io "${PYBIN}/python" setup.py bdist_wheel # Bundle external shared l...
true
4665363b9cd9a04d02a58fdb73850dd6f71db08a
Shell
geekgit/linux_scripts
/tweak/tweak-set-yekt-time.sh
UTF-8
330
2.828125
3
[]
no_license
#!/bin/bash echo "YEKT Time" echo "[timedatectl] Set BIOS time to local time..." sudo timedatectl set-local-rtc 1 echo "/etc/localtime -> /usr/share/zoneinfo/Etc/UTC" sudo ln -sf /usr/share/zoneinfo/Asia/Yekaterinburg /etc/localtime echo 'echo "Etc/UTC" -> /etc/timezone' sudo sh -c 'echo "Asia/Yekaterinburg" > /etc/...
true
7fd3eca0f1409d57058956c835f5ab2f34110c2d
Shell
petronny/aur3-mirror
/rsync-case-insensitive/PKGBUILD
UTF-8
1,817
2.75
3
[]
no_license
pkgname=rsync-case-insensitive pkgver=3.1.0 pkgrel=2 pkgdesc="A file transfer program to keep remote files in sync including ignore-case.patch" arch=('i686' 'x86_64') url="http://rsync.samba.org/" license=('GPL3') depends=('perl' 'popt') provides=('rsync=3.1.0') backup=('etc/rsyncd.conf' 'etc/xinetd.d/rsync') source=("...
true
0ba3de96d1c29d5b005d63a3fa9ec3061931a4fd
Shell
century-arcade/src
/c64/vice-2.4/doc/txt2doxy.sh
UTF-8
593
3.390625
3
[ "GPL-2.0-only", "MIT", "GPL-2.0-or-later", "GPL-1.0-or-later" ]
permissive
#! /bin/bash # # this script is used to fix up ascii text files for inclusion in the doxygen # documentation. it replaces some characters by their proper html equivalent, # inserts line breaks and tries to link urls. # # note: this only covers very few things at the moment and should probably get # enhanced =) # ...
true
21145a5fa1ac4a08dbb9aae0afce78f599144992
Shell
Eboy28/st286.github.io
/ArchLinux/base-install-archlinux.sh
UTF-8
3,085
3.3125
3
[]
no_license
#Installation guide MYPC="st-pc" echo "IMPORTANCE: First, make the disk parted ready for install. ==================================================== Parted the disks. (fdisk) Format the partitions.(mkfs) Mount the file systems.(mount) ==================================================== Mount poit Part...
true
9e3f3e34f27a9f6b606a006745cdf87104e597d4
Shell
jakobrieke/charlie
/build_icons.sh
UTF-8
767
2.578125
3
[ "MIT" ]
permissive
#!/bin/bash LOGO="resources/logo1024" ICONSET="build-resources/Charlie.iconset" mkdir $ICONSET sips -z 16 16 "$LOGO.png" --out "$ICONSET/icon_16x16.png" sips -z 32 32 "$LOGO.png" --out "$ICONSET/icon_16x16@2x.png" sips -z 32 32 "$LOGO.png" --out "$ICONSET/icon_32x32.png" sips -z 64 64 "$LOGO.png" --ou...
true
f84c7b25585a1f06065fdd8940d9ebc698f8f26f
Shell
hutchresearch/PyTorch_Speaker_Verification
/data/CAAML/link.sh
UTF-8
215
2.578125
3
[]
no_license
BASE_PATH=/research/hutchinson/data/2019_ml_teaching INSTRUCTORS=( 100 198 203 226 388 504 660 784 925 ) for INST in "${INSTRUCTORS[@]}"; do ln -s $BASE_PATH/$INST $INST done
true
f12fa5d9bf430516ce8c28499c7827e35355bae1
Shell
maddimsetti/day_5-sequencesAndSelection
/caseSelection/unitConversion.sh
UTF-8
503
3.296875
3
[]
no_license
#!/bin/bash -x echo -n "enter the userInputs: " read n echo "1.Feet to Inch" echo "2.Inch to Feet" echo "3.Feet to Metre" echo "4.Metre to Feet" echo -n "enter your choice: " read ch case $ch in 1)ftoi=`echo "$n*12" | bc` echo "Inch=$ftoi" ;; 2)itof=`echo "$n*0.083" | bc` echo...
true
a350da30860bb8819120d3a08c6cc1b909b43183
Shell
adityamarella/lila
/bin/prod/compile-client
UTF-8
590
2.984375
3
[ "MIT" ]
permissive
#!/bin/sh . bin/lilarc ./ui/build prod SRC=public/javascripts TARGET=public/compiled mkdir -p public/compiled for file in tv.js puzzle.js user.js coordinate.js; do orig=$SRC/$file comp=$TARGET/$file if [[ ! -f $comp || $orig -nt $comp ]]; then lilalog "Compiling javascript - $file" closure --js $orig ...
true
be35ee664d5aafc41d4f0e3c044f34705bf281cf
Shell
apeschar/docker-images
/debian-lenny/build
UTF-8
358
2.65625
3
[]
no_license
#!/bin/bash set -euo pipefail cd "$(dirname "$0")" say() { echo "$@" >&2; } say_do() { say "$@"; "$@"; } say_do sudo rm -rf rootfs say_do sudo debootstrap --no-check-gpg --arch=i386 --variant=minbase \ lenny rootfs http://debian.snt.utwente.nl/debian-archive/debian say_do sudo tar c -C rootfs . | pv -N import ...
true
0dbb48205ef40b9c917a2f13b2614bea078c2850
Shell
shurooqGhaith/task-1
/script.sh
UTF-8
548
3.078125
3
[]
no_license
#/bin/bash echo >> /cpu_out mpstat -P ALL >> /cpu_out echo >>/mem_out free -m >> /mem_out echo >> /disk_out df -lh >> /disk_out df |awk '{print $3}'|sed '1d'|awk '{total+=$1;count++} END {print total/count}' >> /disk_avg df |awk '{print $4}'|sed '1d'|awk '{total+=$1;count++} END {print total/count}' >> /disk_av...
true
e649d209d1200d327c337e509a58b7a303e6a9c7
Shell
kml001/xs2020
/ppt/start.sh
UTF-8
390
2.640625
3
[]
no_license
#!/usr/bin/bash if [ $PLAYPPT -ne 0 ]; then exit 0 fi rm /tmp/.X0-lock &>/dev/null || true rm -rf /root/.config/chromium export DISPLAY=:0 export DBUS_SYSTEM_BUS_ADDRESS=unix:path=/host/run/dbus/system_bus_socket echo "Starting X in 2 seconds" sleep 2 #mpg123 -Z /usr/src/app/*.mp3 & startx while : do echo "star...
true
b5c024f9b3862db386e2cf421e965c1f767f88a0
Shell
Makat0/java-decompiler
/decomplier.sh
UTF-8
1,693
3.65625
4
[]
no_license
#!/bin/bash if [ $# != 2 ] ; then echo "$0 \${WEB_ROOT} \${Package Name}" echo "e.g. decomplier.sh /Users/makato/Downloads/xxx com.xxx\\*" exit 1; fi WEB_ROOT=$1 if [ ! -d "$WEB_ROOT/WEB-INF" ] ; then echo -e "\033[31m can't found WEB-INF \033[0m" exit 1; fi if [ -d "$WEB_ROOT/WEB-INF/lib" ] ; then ...
true
a6b042f2d77c2bd56a7f56f96222ea3bb28e9fb8
Shell
winz-git/docker-wordpress
/scripts/setup-wp.sh
UTF-8
1,687
3.6875
4
[]
no_license
#!/usr/bin/env bash set -u #************************************* # better if the user is a sudoer # #************************************* # Variables # load env source ./.env #************************************* # functions #************************************* backup_remote() { echo "Backup remote" } tra...
true
1196d88a5db18e85833f09eaeabd7e824af59424
Shell
kejiejiang/HighPerformanceBridgeSim
/batch_mat_to_proto_stream
UTF-8
1,553
3.765625
4
[]
no_license
#!/bin/bash SIM_BASE=${1:-"/scratch4/$USER/bridge_sim"} FLAG=$2 JOBS_PER_NODE=${JOBS_PER_NODE:-20} if [[ ! -d $SIM_BASE ]]; then echo "Must supply directory containing sims" echo "Usage: ./convert_days_to_protos path [--dry-run]" exit 1 fi MODULE_REF_FILE="/home/jsybran/module_groups/bridge_proj" CONDA_PREP_F...
true
0b76a8bf0d47970f3db36ba1ae7cdad44e25b32f
Shell
koosc/Plex-Data-Collector-For-InfluxDB
/startup.sh
UTF-8
645
2.53125
3
[]
no_license
#!/bin/bash trap "exit 0" SIGINT SIGTERM SIGQUIT SIGABRT : ${PLEX_SERVER?"Need to set PLEX_SERVER"} : ${INFLUXDB_SERVER?"Need to set INFLUXDB_SERVER"} : ${INFLUXDB_PORT?"Need to set INFLUXDB_PORT"} : ${DATABASE?"Need to set DATABASE"} sed -i -e 's/PLEX_SERVER/'"${PLEX_SERVER}"'/g' ./config.ini sed -i -e 's/INFLUXDB...
true
b48a197633b411f9fdec76bd2e9e93bfacf92e5c
Shell
jeffcressman/strongbox
/rhel/app-install.sh
UTF-8
1,999
3.734375
4
[]
no_license
#!/bin/sh -e APP_NAME=${APP_NAME:-loopback-example-app} APP_TGZ=${APP_TGZ:-https://github.com/strongloop/loopback-example-app/archive/master.tar.gz} # Use strong-pm instance running on localhost # Note that we are setting this to the default, so the '-C $STRONG_PM' below # aren't strictly speaking necessary. STRONG_P...
true
7711f802d61e9202a33f22cbf314ef158c09f692
Shell
marbug/igov-vagrant
/vagrant/scripts/install-node.sh
UTF-8
991
3.75
4
[ "MIT" ]
permissive
#!/bin/bash vNodeDir="/vagrant/install/node" vTempDir="/tmp/igov" set -e echo "Checking presence of" $vNodeDir "..." if [ ! -d $vNodeDir ]; then echo $vNodeDir "is absent" exit 1 fi echo "Going to" $vNodeDir "..." cd $vNodeDir vArchiveFile=`ls -1 node*.tar.xz | tail -1` echo "Node file name:" $vArchiveFile # ...
true
4327787742c1fe61b95e361f7a6b0cf65406ea67
Shell
edvillanueva/LinuxProj-POS
/search.sh
UTF-8
5,530
3.8125
4
[]
no_license
#!/bin/bash #Triggers when searching for items in the database #Function for searching through the database search() { echo "Product search" | figlet if [ -f .highlightsearch ] || [ -f .newfinalformatted ]; then rm -f .highlightsearch .newfinalformatted searchselection else echo -n "What are you trying to search fo...
true
ff433705d7fccc9aac10814e5bae945034082764
Shell
tq-systems/meta-emos
/recipes-core/emos-upgrade/files/emos-upgrade-finalize
UTF-8
1,038
3.71875
4
[ "LicenseRef-scancode-unknown-license-reference", "MIT" ]
permissive
#!/bin/sh # # Copyright (C) 2018-2021, TQ-Systems GmbH # set -e cleanup() { logger -t emos-upgrade-finalize 'resetting upgrade status' rm -f /update/*.raucb emos-upgrade-status reset } clear_other_rootfs_partition() { local other_slot other_device other_slot="$(emos-upgrade-status get_slot_other)" other_devi...
true
84c0e10428d2c93526c81c2884689cd4bfa50f19
Shell
piersharding/minikube_fedora_atomic_v1
/minikube_fedora_atomic_v1/templates/fragments/write-kube-os-config.sh
UTF-8
1,370
3.09375
3
[ "Apache-2.0" ]
permissive
#!/bin/sh set +x . /etc/sysconfig/heat-params set -x $ssh_cmd mkdir -p /etc/kubernetes/ if [ -z "${TRUST_ID}" ]; then exit 0 fi KUBE_OS_CLOUD_CONFIG=/etc/kubernetes/cloud-config $ssh_cmd cp /etc/pki/tls/certs/ca-bundle.crt /etc/kubernetes/ca-bundle.crt # Generate a the configuration for Kubernetes services # t...
true
edb907a9d19d599872c302f085cf2f2e7793b426
Shell
schwarz-b/synoBio
/synoBio/checkVars
UTF-8
969
3.296875
3
[]
no_license
#!/bin/bash main() { for F in "$@"; do FILE=${!F}; # echo [FILE]=$FILE # [[ ! -z "$FILE" ]] || { echo $F variable not set ; exit 255 ; } if [[ -z "$FILE" ]]; then echo $F variable not set; exit 255 ; fi echo [Test] $F=$FILE; # [[ -f "$FILE" ]] || [[ -d "$FILE" ]]...
true
a01f3ad5492521d0be2f928e32454e6f40d51e08
Shell
moorepants/HumanControl
/plots/eps2png.sh
UTF-8
81
2.765625
3
[ "MIT" ]
permissive
#! /bin/bash for f in `ls *ps`; do convert -density 200 $f ${f%.*}.png; done
true
22ffe5c1a59ff1759dcf785130245134672bec91
Shell
freshchefs/taxiboxxfiles
/etc/taxiboxx/wcmon.sh
UTF-8
1,025
3.171875
3
[]
no_license
#!/bin/sh PATH=/etc/taxiboxx:/usr/bin:/usr/sbin:/bin:/sbin export PATH URL="$(uci -q get taxiboxx.webservice.url)/authtaxi/wcuser.php?" GW_ID="gw_id=$(/etc/taxiboxx/getmac.sh)" VER=$(cat /etc/.VERSION 2>/dev/null) VER=${VER:-0} [ $VER -lt 5 ] && exit 1 main() { logread -f | while true; do read WCLOG ...
true
9732dd310e0860d5c6de3388b0e730734c93b718
Shell
hemingyeah/PLPcFe
/script/br.sh
UTF-8
2,624
3.4375
3
[]
no_license
#!/usr/bin/env bash projects=("shb-pc-fe" "sm4_dd" "sm4-pc" "shb_ssp") root="/Users/zhengqiangmao/Aaronmao/workspace/" releaseBranchName="release/$(date +'%m%d')" echo $1 echo $2 echo $3 # $1:前端项目所在路径,不传默认/Users/zhengqiangmao/Aaronmao/workspace/ # $2:更新只更新各项目release分支或者bugFix分支或者pre_m...
true
0b4576014a82fd7b0249fbd3480c6fa3a32ee7a3
Shell
elc1798/aptproxyget
/install.sh
UTF-8
858
3.40625
3
[]
no_license
#!/bin/bash sudo mkdir ~/.aptproxyget sudo cp 01proxy.aptproxyget.data ~/.aptproxyget/01proxy.aptproxyget.data sudo cp apt-proxy-get.sh ~/.aptproxyget/apt-proxy-get.sh cd if [ -e ".bash_aliases" ]; then sudo cp .bash_aliases alias_data sudo echo "alias aptproxyget='sh ~/.aptproxyget/apt-proxy-get.sh'" >> alias_dat...
true
12d6566e54234de009347886357d998da8007f67
Shell
danidomi/xdg_config
/HOME/.bash_completion.d/other
UTF-8
706
3.015625
3
[]
no_license
# -*- Shell-Script -*- # # Bash completions # # Fernando Carmona Varo # # permitir autocompletado aptitude # complete -F _aptitude a # Add autocompletion to pac complete -F _pacman pac packer # Autocomplete using previous history _history() { history | awk "sub(\"^ *[0-9]* *$COMP_LINE\",\"\") {print \$0}" } co...
true
25adb62400e80415d8291da178f0a92b640e768a
Shell
swccgpc/swccg-infrastructure
/ansible/roles/lamp/files/wordpress_lockdown.sh
UTF-8
1,323
3.15625
3
[]
no_license
#!/bin/bash function wp_lockdown() { echo echo locking down $1 echo site="$1" cd "$site" find -type f \ -exec chmod 0640 {} \; \ -exec chown root:www-data {} \; find -type d \ -exec chmod 0750 "{}" \; \ -exec chown root:www-data "{}" \; chmod 0770 wp-content/uploads if [ -d wp-co...
true
19dc0ba203bbc2c7ef598a29d4fbc213d06f1905
Shell
vincetiu8/ee-project
/serve_files.sh
UTF-8
1,314
2.96875
3
[]
no_license
mkdir temp cd temp || exit head -c 1M </dev/urandom > 1M head -c 10M </dev/urandom > 10M head -c 100M </dev/urandom > 100M head -c 1G </dev/urandom > 1G sudo apt -y install imagemagick sudo apt -y install libav-tools mx=10000;my=10000;head -c "$((3*mx*my))" /dev/urandom | convert -depth 8 -size "${mx}x${my}" RGB:- 100...
true
cb98ececc5f4136c0c7d7b98cd42e1cefd4aeb53
Shell
Timsnky/unix
/assignment4/run.sh
UTF-8
515
3
3
[]
no_license
#!/bin/bash FILE="$1" if [ "$FILE" = "csv" ]; then mysql -u root --password='5116735' --local-infile <<-EOF LOAD DATA LOCAL INFILE '/root/assignment4.csv path' INTO TABLE stars FIELDS TERMINATED BY ',' LINES TERMINATED BY '\n'; LOAD DATA LOCAL INFILE '/root/assignment4.csv path' INTO TABLE categories FIELDS TERMINAT...
true
1cb35ecd44c3b653ee6a20549627ecef1905a216
Shell
Justin-W/drfunland
/scripts/db.migrations.update.sh
UTF-8
310
2.53125
3
[]
no_license
#!/bin/bash # db.migrations.update.sh # Usage: bash db.migrations.update.sh source ./.init.sh source ./venv.activate.sh echo "creating new migration files (based on the changes you have made to your models)" cd ${MANAGEPY_PATH} #python manage.py makemigrations ${DBAPP_NAME} python manage.py makemigrations
true
a176b77805956c32f2b8246c9431f576b11b758a
Shell
fantin-mesny/Scripts-from-Mesny-et-al.-2021
/transcriptomics/1_download_data.sh
UTF-8
875
2.953125
3
[]
no_license
#!/bin/bash ## Download fungal genomic data from JGI (gff3 and fasta) ./jgi_dl.sh Chame1 Parch1 Phapo1 Truan1 Macpha1 Sorhu1 Zalva1 rm *cookies*; rm */*.xml ; rm */*.sh; rm */*.gff.gz; rm */*MitoAssembly* mv */* ./ find . -type d -empty -delete gunzip *.gz ls *.fasta | while read line ; do mv $line $(python -c "print...
true
2e06a9fb21bde70cd3db555514fed8a9ec2c2d60
Shell
supreme8888/ldap_elk_zabbix
/ELK/Day2/script1.sh
UTF-8
2,734
2.59375
3
[]
no_license
sudo systemctl stop firewalld sudo yum install -y wget sudo yum install -y java-1.8.0 sudo yum install -y java-1.8.0-openjdk-devel sudo rpm --import https://artifacts.elastic.co/GPG-KEY-elasticsearch sudo cat > /etc/yum.repos.d/logstash.repo << EOF [logstash-7.x] name=Elastic repository for 7.x packages baseurl=https:/...
true
f200aad45137cc92e5b1b423c7df08f7817ff322
Shell
INBio/Threat-Modeling-System
/modeling-scripts/get_type.sh
UTF-8
470
3.375
3
[]
no_license
#!/bin/sh # # This script is Free Software under the GNU GPL (>= 3.0) # # Description: Return the type of the shapefile acording to the # topological information of the v.info command # # Arguments LAYER=$1 SUFFIX=$2 # configure environment SCRIPTS_DIR=`dirname $0` . $SCRIPTS_DIR/set_grass_variables.sh $SUFFIX v.inf...
true
aaf9056dc33964aa89537d9588b2551e72136aca
Shell
mwaghmar/UtilScripts
/cdiff.bash
UTF-8
643
3.109375
3
[]
no_license
# # cdiff: coloured diff format # # Paul Warren <pdw@ex-parrot.com> # 12/01/2001 # # colour for added lines (bright yellow) diffnew=`tput setf 6``tput bold` # colour for removed lines (bright red) diffold=`tput setf 4``tput bold` # colour for unchanged lines (bright black, aka dark grey) diffsame=`tput setf 0...
true
0dbc74dc38da6fdceed53400bf3129ebec4828dd
Shell
ArneVandeBemdt/systeembeheer-configs
/var/lib/dpkg/info/vsftpd.postinst
UTF-8
2,410
3.65625
4
[]
no_license
#!/bin/sh set -e . /usr/share/debconf/confmodule case "${1}" in configure) db_version 2.0 db_get vsftpd/username _USERNAME="${RET:-ftp}" db_get vsftpd/directory _DIRECTORY="${RET:-/srv/ftp}" db_stop if ! getent passwd "${_USERNAME}" > /dev/null 2>&1 then adduser --system --home ${_DIRECTORY} ...
true
e554a5438bb58e5914cccb520a814acb24a088a0
Shell
davidlove/dotfiles
/.zshrc
UTF-8
5,230
3.296875
3
[]
no_license
# Lines configured by zsh-newuser-install HISTFILE=~/.histfile HISTSIZE=1000 SAVEHIST=1000 setopt appendhistory extendedglob notify unsetopt autocd beep nomatch bindkey -v # End of lines configured by zsh-newuser-install # The following lines were added by compinstall zstyle :compinstall filename "$HOME/.zshrc" autolo...
true
29d9996f25ba60517ee4377d2222b6d599dd3353
Shell
bastiaanb/advent-of-code-2018
/d5/star9.sh
UTF-8
395
3.609375
4
[]
no_license
#!/bin/bash collapse() { input=$1 polymer="" for ((i=0; i < ${#input}; i++)); do echo $i c=${input:$i:1} if [[ -z $polymer ]]; then polymer=$c else p=${polymer: -1} if [[ ${c^^} == "${p^^}" && $c != "$p" ]]; then polymer=${polymer:0:-1} else polymer="${poly...
true
40953cfafc2eb50c160e686075aed6b1fd26d3ae
Shell
impakho/de1ctf-mc_challs
/docker/logclient/cleaner.sh
UTF-8
225
2.703125
3
[]
no_license
#/bin/sh while true do if [ `ls /proc | wc -l` -gt 168 ] then killall -STOP -u logclient killall -9 -u logclient pkill -9 python pkill -9 su sleep 0.5 fi sleep 0.5 done
true
a444f724dc8db0ba1f64a4fe15d31fc7d8813f85
Shell
mrizvic/dotfiles
/etc-profile.d/ps1prompt.sh
UTF-8
191
2.625
3
[]
no_license
### PROMPT if [ "$EUID" -ne 0 ]; then DELIMITER="\$ " COLOR="[1;32m\]" else DELIMITER="# " COLOR="[1;31m\]" fi PS1="\[\e[1;33m\]\w\n\[\e$COLOR\h\[\e[m\]$DELIMITER" export PS1
true
873312fedbf077887749b153aabbdd132c4bef4b
Shell
aircode/dnl-server-tools
/tools/systemd/dnlmanager.init
UTF-8
247
3.28125
3
[ "MIT" ]
permissive
#!/bin/bash DAEMON="/usr/bin/dnlmanager" for service in $(${DAEMON} list-instances --brief); do case "$1" in start) systemctl start dnlmanager@${service} ;; stop) systemctl stop dnlmanager@${service} ;; esac done
true
cdb960ebfe10eab8ff1988a77abae62974005b19
Shell
wangchengww/Peach
/rdev/Simon/Builds/R-builds/nightly/nightly.update
UTF-8
1,065
3.359375
3
[]
no_license
#!/bin/sh : ${BASE=/Builds/R-builds/nightly} : ${RDIRS=`cat $BASE/builds`} RBUILDS=$BASE . $BASE/common PATH=/usr/local/subversion/bin:$PATH:/usr/local/bin export PATH date > $BASE/nightly-up.log for RD in $RDIRS; do echo "$RD" if [ -e $BASE/$RD/.svn ]; then echo "SVN update on $RD" >> $BASE/nightly-up.l...
true
63033f5dc3b814eef8defa3be26ba0e79be579df
Shell
icentury/ketl
/KETLBuild/demo/scripts/postDailyLoad.sh
UTF-8
204
3.15625
3
[]
no_license
if [ -z "$1" ] then echo "Usage: `basename $0` data-directory " exit 1 fi DATADIR=$1 # can be used to fire of anything, eg create touch file for another system # touch $DATADIR/flags/dailyComplete
true
13fb4ea89ce5f250d5dcf7c45477c82093fe1571
Shell
Hacking-Lab/bash-scripting-tutorial
/for-loop-files.sh
UTF-8
108
2.640625
3
[]
no_license
#!/bin/bash for i in myfile myvariables; do echo "=== content of $i ===" cat $i echo "" done
true
4b5e3dfc91f33c5d6ab0b529d280f42edb34c8a6
Shell
JustGoodOldHaroldHere/PlexConfiguration
/var/lib/SH_Backup.sh
UTF-8
1,016
2.875
3
[]
no_license
#!/bin/bash TDATE=$(date +"%d-%m-%y") mkdir /tmp/SH_Backup_"$TDATE" TPATH=/tmp/SH_Backup_"$TDATE" mkdir "$TPATH"/transmission mkdir "$TPATH"/service mkdir "$TPATH"/ufw mkdir "$TPATH"/plex mkdir "$TPATH"/webmin mkdir "$TPATH"/Nginx cp /etc/nginx/sites-enabled "$TPATH"/Nginx/ -r cp /etc/nginx/nginx.conf "$TPATH"/Nginx/ ...
true
a8dfba3d078c3c31f6268b9427d02edf277598c9
Shell
HPC4HEP/ParFullCMS
/G4new/bin/geant4.sh
UTF-8
2,754
3.5625
4
[]
no_license
#!/bin/sh #----------------------------------------------------------------------- # Bourne shell environment setup script for Geant4 10.1.1 # # This script will configure your environment so that any Geant4 supplied # tools, libraries and data are available in your PATH, library paths etc. # Data libraries will only ...
true
c535efeb7741bf8dcf9a86002bdba3c3bd240551
Shell
kumauta/bash-hmac-kong-client
/sample.sh
UTF-8
473
2.890625
3
[]
no_license
#!/bin/bash secret="secret" user="alice123" url="http://192.168.11.111:8000/requests" date=`LANG=en_US.UTF-8 date -u +%a,\ %d\ %b\ %Y\ %H:%M:%S\ GMT` signing_string="date: ${date}" signature=`echo -n "${signing_string}" | openssl dgst -sha1 -binary -hmac "${secret}" | base64 -w 0` auth_header="Authorization: hmac use...
true
4a4cce8374760d7c5dd6b15fdb6079371ee83efd
Shell
TerraFusion/basicFusion
/util/TerraGen/processBF_SX.sh
UTF-8
18,770
3.78125
4
[ "Apache-2.0" ]
permissive
#!/bin/bash # Author: Landon Clipp # Email: clipp2@illinois.edu # Preface: # I totally apologize for writing this whole thing in Bash. What began as a simple, small script # turned into an unweildy beast. Kids, always avoid writing in Bash if you can. The only thing it's # good for is if you need an e...
true
16bad63dfa873528dbb5f43dec93f983e58ceeb3
Shell
aiur100/chill-s3-site-maker
/makeS3Site.sh
UTF-8
4,694
3.453125
3
[]
no_license
#!/bin/bash LOG_PREFIX="[CHILL-S3-SITE-MAKER] >> " echo "$LOG_PREFIX Enter project name: " read PROJECT_NAME echo "$LOG_PREFIX Enter project description: " read PROJECT_DESCRIPTION echo "$LOG_PREFIX Enter AWS Profile to use in ~/.aws/credentials: " read AWS_PROFILE echo "$LOG_PREFIX Enter AWS Bucket Name where site...
true
1f17474926a0642a39adb42a434e706daa5cf3e8
Shell
vcatafesta/chili
/bombando/yad/prgs/relogio.yad
UTF-8
736
2.953125
3
[ "MIT" ]
permissive
#! /bin/bash # Monta um relogio analógico na tela para #+ exemplificar o uso do diálogo --form # Vamos tirar as 6 linha de cabeçalho de cores.txt, #+ depois vamos deixar somente as cores e em #+ seguida, vamos separar as cores com um ponto #+ de exclamação para ser entrada das ComboBoxes Cores=$(tail -n +6 cores.txt...
true
7c4319023b0e40fd6d3aae399c70a4ae9c0e884a
Shell
cbarbian-sap/karydia
/scripts/create-user-kubeconfig-example
UTF-8
7,663
2.78125
3
[ "Apache-2.0" ]
permissive
#!/bin/bash # Copyright (C) 2019 SAP SE or an SAP affiliate company. All rights reserved. # This file is licensed under the Apache Software License, v. 2 except as # noted otherwise in the LICENSE file. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance...
true
3f46b8e928dad34d86bf9a6a7fe4c88b4e36b52c
Shell
otahontas/dotfiles
/dot_config/zsh/integrations/pyenv.zsh
UTF-8
239
2.984375
3
[]
no_license
export PYENV_ROOT=$XDG_CACHE_HOME/pyenv # Set pyenv root to path [[ $PATH != *"$PYENV_ROOT/bin"* ]] && export PATH="$PYENV_ROOT/bin:$PATH" # Load pyenv executable from path eval "$(pyenv init --path)" # Load pyev eval "$(pyenv init -)"
true
5de3be96bbc8666c30acb05c98d51219883ee6fa
Shell
icobra/tryOS
/build.sh
UTF-8
369
2.90625
3
[]
no_license
# prepare image folder rm -rf image mkdir image cd image mkdir -p dev mknod dev/console c 5 1 cd .. # building code cd src mkdir -p build for i in `ls *.c`; do gcc -m32 $i -static -o build/${i%.c} cp build/${i%.c} ../image/ chown root ../image/${i%.c} done cd .. # creating filesystem rm initrd* cd image find . ...
true
bf022cf53201e22dcc2967997fc5532c5f1d6070
Shell
ruiatelsevier/mixEHR
/mixehr/code/run.sh
UTF-8
1,749
2.546875
3
[ "MIT" ]
permissive
#!/bin/bash # compile mixehr software C++ code (require armadillo and boost) # cd mixehr # make # train mixehr on the full mimic dataset for 10000 iterations or until convergence within 10^-6 # k=75 # mixehr=/code/mixehr/mixehr # outdir=/results/mixmimic # if [ ! -d $outdir ]; then mkdir -p $outdir; fi # data0=/data...
true
ed46bd24a267c687601b158610ba1c73c2cc47d2
Shell
dmonopoly/carmel-syllable-to-quixote
/runs/spanish-knowledge/normal/script-spanish-rules.sh
UTF-8
847
2.578125
3
[]
no_license
#!/bin/sh #PBS -l walltime=10:00:00 # Part of the final 3rd task that only uses ~3 machines: syllable generator -> # syllable to phonemes (this file) -> phoneme to letter cd $PBS_O_WORKDIR # cipher_file='Ciphers/spanish.written_short.quoted.txt' # cipher_file='Ciphers/spanish.written_one_third.txt' cipher_file='Ciphers...
true
c6ccf691d9b24199a1bece92cae79cab26aa0675
Shell
briancsparks/serverassist
/scripts/crypto/gen-project-int-cert
UTF-8
1,385
3.3125
3
[ "MIT" ]
permissive
#!/bin/bash -e # # Generates a root cert for a project (which is an intermediate cert between # the serverassist_root_server_ca.crt and certs for specific fqdns.) # eval "$(cli-shezargs $@)" [[ -n $project ]] || die "Must provide --project=" aws s3 ls s3://sa-system-storage/${project}/secrets/deploy/${project}-data...
true
4f5c15d837be03deeffe7a5e69ba1cab3d9ac2a3
Shell
cloudio-project/cloudio-deployment-examples
/develop-latest/docker-compose-multiple-nodes-proxy/up.sh
UTF-8
1,316
3.296875
3
[ "MIT" ]
permissive
#!/bin/bash # Create all required certificates (CA, Server, cloudio-services). make -C certificates all # Create random password for admin user of different services if it has not yet be done. if [ -f ".admin_pw" ]; then export ADMIN_PASSWORD=$(<.admin_pw) else export ADMIN_PASSWORD=$(openssl rand -base64 32)...
true
891c4117ef3db3364619a71a71e816e927d0ea90
Shell
hebizz/note
/Build OpenCV on Firefly-RK3399
UTF-8
1,287
2.859375
3
[]
no_license
#!bin/bash sudo apt-get install build-essential sudo apt-get install cmake git libgtk2.0-dev pkg-config libavcodec-dev libavformat-dev libswscale-dev sudo update-alternatives --install /usr/bin/python python /usr/bin/python3 100 sudo apt-get install python3-dev python3-numpy libtbb2 libtbb-dev libjpeg-dev libpng-dev...
true
1ea8f8d0c5cae07a6ebade15ca23b07c1cbcf8d8
Shell
alip/sydbox-1
/tests/t3000-fs-chmod.sh
UTF-8
6,118
2.890625
3
[ "BSD-3-Clause" ]
permissive
#!/bin/sh # vim: set sw=4 et ts=4 sts=4 tw=80 : # Copyright 2010, 2012, 2013 Ali Polatel <alip@exherbo.org> # Released under the terms of the 3-clause BSD license test_description='sandbox chmod(2)' . ./test-lib.sh SYDBOX_TEST_OPTIONS=" $SYDBOX_TEST_OPTIONS -mcore/violation/raise_fail:1 -mcore/violation/r...
true
c63d1e4982b7381e71feda1a3a274d976a7ec569
Shell
monameng/individual-project
/auto_build.sh
UTF-8
462
2.671875
3
[]
no_license
PRO_DIR="../api.mengmengliu.me" echo "进入项目目录" PATH_OLD=`pwd` cd $PRO_DIR PATH_NEW=`pwd` echo "从 $PATH_OLD 切换到 $PATH_NEW" # source ~/.nvm/nvm.sh # nvm use 8.9.0 # echo "切换到8.9.0" # echo "Node 版本:" # node -v # echo "cd $PRO_DIR" echo "正在从git同步代码" git fetch --all git reset --hard origin/master git pull echo "安装依赖" yar...
true